- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.authorizedViewSets.authorizedViews.conversations/list#try-it)

Lists conversations.

### HTTP request

`GET https://{endpoint}/v1/{parent=projects/*/locations/*/authorizedViewSets/*/authorizedViews/*}/conversations`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the conversation. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of conversations to return in the response. A valid page size ranges from 0 to 100,000 inclusive. If the page size is zero or unspecified, a default page size of 100 will be chosen. Note that a call might return fewer results than the requested page size. |
| `pageToken` | `string` The value returned by the last `ListConversationsResponse`. This value indicates that this is a continuation of a prior `conversations.list` call and that the system should return the next page of data. |
| `filter` | `string` A filter to reduce results to a specific subset. Useful for querying conversations with specific properties. |
| `orderBy` | `string` Optional. The attribute by which to order conversations in the response. If empty, conversations will be ordered by descending creation time. Supported values are one of the following: - createTime - customerSatisfactionRating - duration - latestAnalysis - startTime - turnCount The default sort order is ascending. To specify order, append `asc` or `desc` (`createTime desc`). For more details, see [Google AIPs Ordering](https://google.aip.dev/132#ordering). |
| `view` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/ConversationView`)`` The level of details of the conversation. Default is `BASIC`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/ListConversationsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedConversations.list`
- `contactcenterinsights.datasetConversations.list`
- `contactcenterinsights.conversations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).